> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aspect.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# List Divisions

> Retrieve all divisions for a specific organization.



## OpenAPI

````yaml /endpoints/openapi.json get /v1/organizations/{organization}/divisions
openapi: 3.1.0
info:
  title: Aspect Systems
  version: 0.0.1
servers:
  - url: https://api.aspect-dev.systems
    description: Development
  - url: https://api.aspect.systems
    description: Production
security:
  - http: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Divisions
  - name: Slots
  - name: Rates
  - name: Reservations
  - name: Entries
  - name: Memberships
paths:
  /v1/organizations/{organization}/divisions:
    get:
      tags:
        - Divisions
      summary: List Divisions
      description: Retrieve all divisions for a specific organization.
      operationId: partner.divisions.index
      parameters:
        - name: organization
          in: path
          required: true
          schema:
            type: string
        - name: page[size]
          in: query
          description: The number of results that will be returned per page.
          schema:
            type: integer
            default: 30
        - name: page[cursor]
          in: query
          description: The cursor to start the pagination from.
          schema:
            type: string
      responses:
        '200':
          description: Paginated set of `DivisionResource`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Division'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                      prev:
                        type: string
                      next:
                        type: string
                  meta:
                    type: object
                    properties:
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      next_cursor:
                        type:
                          - string
                          - 'null'
                        description: The "cursor" that points to the next set of items.
                      prev_cursor:
                        type:
                          - string
                          - 'null'
                        description: The "cursor" that points to the previous set of items.
                    required:
                      - path
                      - per_page
                      - next_cursor
                      - prev_cursor
                required:
                  - data
                  - links
                  - meta
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Division:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - divisions
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the division.
              examples:
                - '310476121357873158'
            name:
              type: string
              description: Name of the division.
              examples:
                - Golf
            industry:
              $ref: '#/components/schemas/DivisionIndustry'
              description: Industry of the division.
          required:
            - id
            - name
            - industry
      required:
        - id
        - type
      title: Division
    DivisionIndustry:
      type: string
      enum:
        - golf
        - indoorGolf
        - snowTubing
        - curling
        - eventManagement
        - other
      title: DivisionIndustry
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````